eoParamParamType(3)

NAME
eoParamParamType - Another helper class for parsing parameters like Keyword(arg1, arg2, ...).

SYNOPSIS

#include <eoParam.h>

  Public Member Functions
eoParamParamType (std::string _value)
std::ostream & printOn (std::ostream &_os) const
std::istream & readFrom (std::istream &_is)
void readFrom (std::string &_value)

Detailed Description

Another helper class for parsing parameters like Keyword(arg1, arg2, ...). It is basically a std::pair<std::string,std::vector<std::string> > first std::string is keyword the std::vector<std::string> contains all arguments (as std::strings) See make_algo.h

Definition at line 373 of file eoParam.h.

Author

Generated automatically by Doxygen for EO from the source code.